<!DOCTYPE html>
<html>
  <head>
    {% block style %} {% endblock %}
    <style>
      body {
        font-family: arial, sans-serif;
      }
      .bg-grey {
        background-color: #c0c0c0;
        -webkit-print-color-adjust: exact;
      }
      .bg-grey-light {
        background-color: #f5f5f5;
        -webkit-print-color-adjust: exact;
      }
      .text-n {
        color: #ccb71c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-p {
        color: #cc5f1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-k {
        color: #88cc1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-grey {
        color: #9e9e9e;
        -webkit-print-color-adjust: exact;
      }
      .text-bold {
        font-weight: 600;
      }
      table {
        border-collapse: collapse;
        width: 100%;
      }
      td,
      th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
      }
    </style>
  </head>
  <body>
    <div id="content">
      {% for plan in fertilization_plans %}
      <div style="page-break-after: always">
        <h1 style="margin-top: 0px">
          {{ plan.fertilization_plan_name }}
        </h1>
        <p>
          {{ plan.holding_name }} ({{
          plan.campaign_name }})
        </p>
        <table>
          <tr>
            <th>Алгоритъм</th>
            <th>Дата на актуализация на плана</th>
            <th>Дата на създаване на съобщението</th>
          </tr>
          <tr>
            <td>
              <div
                style="display: flex; flex-wrap: nowrap; align-items: center"
              >
                <div style="display: flex; align-items: center">
                  <div style="width: 25px; height: auto">
                    {{ algorithm_logo|safe }}
                  </div>
                  <div style="margin-left: 8px">Navigator F3</div>
                </div>
              </div>
            </td>
            <td>
              {{
              plan.fertilization_plan_date|datetimeformat("%Y-%m-%d
              %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
            <td>
              {{ current_date_time|datetimeformat("%Y-%m-%d %H:%M:%S",
              "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
          </tr>
        </table>

        {% if plan.recommendations_by_plot %} {% for plot_id,
        plot_recommendation in
        plan.recommendations_by_plot.items() %}
        <h3 style="padding-top: 16px">{{ plot_recommendation.plot_name }}</h3>
        {% if plot_recommendation.plot_preview %}
        <div style="width: 100%; max-height: 350px">
          {{ plot_recommendation.plot_preview|safe }}
        </div>
        {% endif %} {% for recommendation in plot_recommendation.recommendations
        %}
        <p style="margin-top: 2em">
          <span style="text-transform: uppercase">
            {{ plan.parameters.plantSpecies.name }}{% if
            recommendation.plant_species_name %} - {{
            recommendation.plant_species_name }}{% endif %}
          </span>
          {% if not plan.crop_yield is none %}
          <span>
            &nbsp; {{ plan.crop_yield }}
          </span>
          {% endif %}
        </p>
        <table style="margin-top: 1em">
          <tr>
            <th colspan="6" style="text-align: center; font-size: 1.15em">
              Препоръка
            </th>
          </tr>
          <tr>
            <th>Артикул</th>
            <th>Количество</th>
          </tr>
          <tr>
            <td>Азот (N)</td>
            <td>
              {{ plan.main_results.recommendation.n }}
            </td>
          </tr>
          <tr>
            <td>Фосфор (P)</td>
            <td>
              {{ plan.main_results.recommendation.p }}
            </td>
          </tr>
          <tr>
            <td>Калий (K)</td>
            <td>
              {{ plan.main_results.recommendation.k }}
            </td>
          </tr>
        </table>

        {% if not plan.main_results.recommendation_per_tree is defined %}

          {% if plan.input_results is defined and plan.input_results|length > 0 %}
            <table style="margin-top: 1em; page-break-before: always">
              <tr>
                <th colspan="6" style="text-align: center; font-size: 1.15em">
                  Входове (kg/{{ plan.surface_unit }})
                </th>
              </tr>
              <tr>
                <th></th>
                <th>Азот (N)</th>
                <th>Фосфор (P)</th>
                <th>Калий (K)</th>
              </tr>
              <tr>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.inputs.label }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.inputs.n }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.inputs.p }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.inputs.k }}</span
                  >
                </td>
              </tr>
              {% for input in plan.input_results %}
              <tr>
                <td>{{ input.label }}</td>
                <td>{{ input.n }}</td>
                <td>{{ input.p }}</td>
                <td>{{ input.k }}</td>
              </tr>
              {% endfor %}
            </table>
          {% endif %}

          </br></br>

          {% if plan.output_results is defined and plan.output_results|length > 0 %}
            <table style="margin-top: 1em">
              <tr>
                <th colspan="6" style="text-align: center; font-size: 1.15em">
                  Излиза от (kg/{{ plan.surface_unit }})
                </th>
              </tr>
              <tr>
                <th></th>
                <th>Азот (N)</th>
                <th>Фосфор (P)</th>
                <th>Калий (K)</th>
              </tr>
              <tr>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.outputs.label }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.outputs.n }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.outputs.p }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.outputs.k }}</span
                  >
                </td>
              </tr>
              {% for output in plan.output_results %}
              <tr>
                <td>{{ output.label }}</td>
                <td>{{ output.n }}</td>
                <td>{{ output.p }}</td>
                <td>{{ output.k }}</td>
              </tr>
              {% endfor %}
            </table>
          {% endif %}

          </br></br>

          <table style="margin-top: 1em">
            <tr>
              <th colspan="6" style="text-align: center; font-size: 1.15em">
                Реколта и остатъци
              </th>
            </tr>
            <tr>
              <th>Параметър</th>
              <th>Стойност</th>
            </tr>
            <tr>
              <td>Съдържание на азот в реколтата (N)</td>
              <td>{{ plan.parameters.harvestNitrogen }} %</td>
            </tr>
            <tr>
              <td>Съдържание на събрания фосфор (P)</td>
              <td>{{ plan.parameters.harvestPhosphorus }} %</td>
            </tr>
            <tr>
              <td>Съдържание на калий в реколтата (K)</td>
              <td>{{ plan.parameters.harvestPotassium }} %</td>
            </tr>
            <tr>
              <td>Екскретирани остатъчни вещества</td>
              <td>{{ plan.parameters.residuesLeftInField }} %</td>
            </tr>
            <tr>
              <td>Индекс на реколтата</td>
              <td>{{ plan.parameters.harvestIndex }} %</td>
            </tr>
            <tr>
              <td>Жътва cv</td>
              <td>{{ plan.parameters.harvestCV }} %</td>
            </tr>
          </table>

          <p>
            Стратегия за оплождане: <span class="text-bold">{{
            plan.fertilization_strategy.label }}</span>
          </p>

          <p>{{ plan.fertilization_strategy.description }}
          </p>

          </br></br>

          <table style="margin-top: 1em">
            <tr>
              <th colspan="6" style="text-align: center; font-size: 1.15em">
                Земя
              </th>
            </tr>
            <tr>
              <th>Параметър</th>
              <th>Стойност</th>
            </tr>
            {% if plan.parameters.soilTexture %}
            <tr>
              <td>Текстура на почвата</td>
              <td>{{ plan.parameters.soilTexture.name }}</td>
            </tr>
            {% endif %}
            <tr>
              <td>PH</td>
              <td>{{ plan.parameters.soilPH }}</td>
            </tr>
            <tr>
              <td>Органични вещества</td>
              <td>{{ plan.parameters.soilOrganicMatter }}</td>
            </tr>
            {% if plan.parameters.soilNitrogenInitialContent %}
            <tr>
              <td>Съдържание на азот преди сеитба</td>
              <td>
                {{ plan.parameters.soilNitrogenInitialContent * plan.surface_ratio_to_ha }}
                kg/{{ plan.surface_unit }}
              </td>
            </tr>
            {% endif %}
            {% if plan.parameters.soilNitrogenFinalContent %}
            <tr>
              <td>Съдържание на азот след прибиране на реколтата</td>
              <td>
                {{ plan.parameters.soilNitrogenFinalContent * plan.surface_ratio_to_ha }} kg/{{ plan.surface_unit }}
              </td>
            </tr>
            {% endif %}
            {% if plan.parameters.soilPhosphorusAnalysisMethod %}
            <tr>
              <td>Метод за анализ на фосфор</td>
              <td>
                {{ plan.parameters.soilPhosphorusAnalysisMethod.name
                }}
              </td>
            </tr>
            {% endif %}
            <tr>
              <td>Съдържание на фосфор</td>
              <td>
                {{ plan.parameters.soilPhosphorusContent }} ppm
              </td>
            </tr>
            <tr>
              <td>Съдържание на калий</td>
              <td>
                {{ plan.parameters.soilPotassiumContent }} ppm
              </td>
            </tr>
            <tr>
              <td>Дълбочина на земята</td>
              <td>{{ plan.parameters.soilDepth }} m</td>
            </tr>
            <tr>
              <td>CEC</td>
              <td>{{ plan.parameters.soilCEC }} meq/kg</td>
            </tr>
          </table>

          </br></br>

          <table style="margin-top: 1em">
            <tr>
              <th colspan="6" style="text-align: center; font-size: 1.15em">
                Напояване
              </th>
            </tr>
            <tr>
              <th>Параметър</th>
              <th>Стойност</th>
            </tr>
            {% if plan.parameters.irrigationClimateZone %}
            <tr>
              <td>Климатична зона за напояване</td>
              <td>
                {{ plan.parameters.irrigationClimateZone.name }}
              </td>
            </tr>
            <tr>
              <td>Годишни валежи</td>
              <td>
                {{
                plan.parameters.irrigationClimateZone.rainfall_annual
                }} mm
              </td>
            </tr>
            <tr>
              <td>Валежи есен-зима</td>
              <td>
                {{
                plan.parameters.irrigationClimateZone.rainfall_autumn_winter
                }} mm
              </td>
            </tr>
            {% endif %} {% if plan.parameters.irrigationWaterSupply
            %} {% if
            plan.parameters.irrigationWaterSupply.name|upper ==
            'RAINFED' %}
            <tr>
              <td>Водоснабдяване</td>
              <td>задвижван от дъжда</td>
            </tr>
            {% endif %} {% if
            plan.parameters.irrigationWaterSupply.name|upper ==
            'IRRIGATION' %}
            <tr>
              <td>Вид напояване</td>
              <td>{{ plan.parameters.irrigationType.name }}</td>
            </tr>
            <tr>
              <td>Напоителна доза</td>
              <td>{{ plan.parameters.irrigationDose }} m3/{{ plan.surface_unit }}</td>
            </tr>
            <tr>
              <td>Съдържание на азот при напояване</td>
              <td>
                {{ plan.parameters.soilNitrogenInitialContent }} ppm
              </td>
            </tr>
            {% endif %} {% endif %}
          </table>

        {% endif %}

        {% if plan.parameters.fertilizations is defined and plan.parameters.fertilizations|length > 0 %}
          <table style="margin-top: 1em; page-break-before: always">
            <tr>
              <th colspan="6" style="text-align: center; font-size: 1.15em">
                Оплождане
              </th>
            </tr>
            <tr>
              <th></th>
              <th>Честота на прилагане</th>
              <th>Метод на интегриране</th>
              <th>Количество</th>
            </tr>
            {% for fertilization in plan.parameters.fertilizations %}
            <tr>
              <td>{{ fertilization.fertilizer.name }}</td>
              <td>{{ fertilization.fertilizerApplicationFrequency.label }}</td>
              <td>{{ fertilization.fertilizerIncorporationMethod.label }}</td>
              <td>{{ fertilization.quantity_formatted }}</td>
            </tr>
            {% endfor %}
          </table>
        {% endif %}

        {% endfor %} {% endfor %} {% endif %}
      </div>
      {% endfor %}
    </div>
  </body>
</html>
